Bug 1537227 - service catalog controller daemonset update strategy is invalid
Summary: service catalog controller daemonset update strategy is invalid
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Service Broker
Version: 3.9.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.7.z
Assignee: Jeff Peeler
QA Contact: Zhang Cheng
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-22 17:02 UTC by Jeff Peeler
Modified: 2018-04-05 09:35 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The update strategy in the controller manager template was incorrectly set and has been corrected now. Previously, any parameters that were modified in the controller manager template would fail to cause the pod to redeploy with the updated changes.
Clone Of:
Environment:
Last Closed: 2018-04-05 09:35:31 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:0636 None None None 2018-04-05 09:35:55 UTC

Description Jeff Peeler 2018-01-22 17:02:10 UTC
This was just a typo, but the side effect is that if any parameters are modified in the controller manager template the pod won't redeploy with the new changes.

Comment 1 Jeff Peeler 2018-01-22 17:03:15 UTC
Merged PR: https://github.com/openshift/openshift-ansible/pull/6723

Comment 2 Zhang Cheng 2018-01-24 08:06:36 UTC
Verified and the issue have been fixed. 
openshift-ansible-3.9.0-0.21.0

# oc get daemonset controller-manager -o yaml | grep -i Strategy
  updateStrategy:

Please change status to ON_QA

Comment 4 Zhang Cheng 2018-01-25 03:30:18 UTC
Base on Comment 2, change status to "Verified".

Comment 7 Jeff Peeler 2018-01-25 18:20:15 UTC
Apologies - resetting target version to 3.7.z.

Comment 9 Zhang Cheng 2018-01-26 07:29:19 UTC
Verified on ocp3.7.z and LGTM. 
openshift-ansible-3.7.26-1

# oc get daemonset controller-manager -o yaml | grep -i Strategy
  updateStrategy:

Comment 13 errata-xmlrpc 2018-04-05 09:35:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:0636


Note You need to log in before you can comment on or make changes to this bug.